Subject: Re: [PATCH v3 4/4] maintenance: optionally use systemd timers on Linux

From: Felipe Contreras <[email-masked]>
Date: Sun, 23 May 2021 13:36:10 -0500

Johannes Schindelin wrote:
> On Fri, 21 May 2021, Derrick Stolee wrote:
> 
> > On 5/21/2021 5:59 AM, Bagas Sanjaya wrote:
> > > On 21/05/21 05.13, Lénaïc Huard wrote:
> > >> The existing mechanism for scheduling background maintenance is done
> > >> through cron. On Linux systems managed by systemd, systemd provides an
> > >> alternative to schedule recurring tasks: systemd timers.
> > >>
> > >> The main motivations to implement systemd timers in addition to cron
> > >> are:
> > >> * cron is optional and Linux systems running systemd might not have it
> > >>    installed.
> > >> * The execution of `crontab -l` can tell us if cron is installed but not
> > >>    if the daemon is actually running.
> > >> * With systemd, each service is run in its own cgroup and its logs are
> > >>    tagged by the service inside journald. With cron, all scheduled tasks
> > >>    are running in the cron daemon cgroup and all the logs of the
> > >>    user-scheduled tasks are pretended to belong to the system cron
> > >>    service.
> > >>    Concretely, a user that doesn’t have access to the system logs won’t
> > >>    have access to the log of its own tasks scheduled by cron whereas he
> > >>    will have access to the log of its own tasks scheduled by systemd
> > >>    timer.
> > >
> > > For gender neutrality, we can use he/she instead.
> >
> > Singular "they" is better. Fully accurate and less awkward.
> 
> I agree.

I disagree.

> If the singular they was good enough for Shakespeare,

Shakespeare:

 1. Did not know gammar
 2. Invented words as we went along
 3. Was no writing prose

This is not the kind of English we wish to replicate:

  "This was the most unkindest cut of all."

> See for yourself:
> http://itre.cis.upenn.edu/~myl/languagelog/archives/002748.html

I do not see a single instance of a singular antecedent there.

Not that it matters, because unlike Shakespeare we are wriing classic
prose style. The styles could not be more different.

The singular they is a controversial topic[1][2], even among linguists.
This is a software project, we must not make decrees about proper use of
English language, especially when linguists themselves have not yet
fully decided.

If you want to use "they", go ahead, other people want to use "he/she".
The git project should steer cleer of value judgements that one is
_better_ than the other.

Not to mention that these kinds of promulgations invite the culture war.

Cheers.

[1] https://time.com/5748649/word-of-year-they-merriam-webster/
[2] https://www.theatlantic.com/culture/archive/2013/01/singular-their-affront-good-writing/319329/

-- 
Felipe Contreras